Bug 139907 - selinux-doc packaging is non standard and in sgml
Summary: selinux-doc packaging is non standard and in sgml
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-doc   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-18 18:41 UTC by Rahul Sundaram
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 1.15.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 07:16:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rahul Sundaram 2004-11-18 18:41:57 UTC
Description of problem:

SELinux docs are put in /usr/share/SELinux.

Version-Release number of selected component (if applicable):

selinux-doc-1.14.1-1

How reproducible:


Steps to Reproduce:
1. rpm -ql selinux-doc-1.14.1-1

  
Actual results:
/usr/share/SELinux
/usr/share/SELinux/CREDITS
/usr/share/SELinux/PORTING
/usr/share/SELinux/README
/usr/share/SELinux/README.CONDITIONAL
/usr/share/SELinux/README.MLS
/usr/share/SELinux/module
/usr/share/SELinux/module/CVS
/usr/share/SELinux/module/CVS/Entries
/usr/share/SELinux/module/CVS/Repository
/usr/share/SELinux/module/CVS/Root
/usr/share/SELinux/module/Makefile
/usr/share/SELinux/module/ackno.sgml
/usr/share/SELinux/module/arch.sgml
/usr/share/SELinux/module/biblio.sgml
/usr/share/SELinux/module/binprm.sgml
/usr/share/SELinux/module/changes.sgml
/usr/share/SELinux/module/custom.dsl
/usr/share/SELinux/module/file.sgml
/usr/share/SELinux/module/helper.sgml
/usr/share/SELinux/module/init.sgml
/usr/share/SELinux/module/inode.sgml
/usr/share/SELinux/module/intro.sgml
/usr/share/SELinux/module/ip.sgml
/usr/share/SELinux/module/ipc.sgml
/usr/share/SELinux/module/lsm.sgml
/usr/share/SELinux/module/main
/usr/share/SELinux/module/main.pdf
/usr/share/SELinux/module/main.ps
/usr/share/SELinux/module/main.sgml
/usr/share/SELinux/module/main/b3190.html
/usr/share/SELinux/module/main/stylesheet-images
/usr/share/SELinux/module/main/stylesheet-images/caution.gif
/usr/share/SELinux/module/main/stylesheet-images/home.gif
/usr/share/SELinux/module/main/stylesheet-images/important.gif
/usr/share/SELinux/module/main/stylesheet-images/next.gif
/usr/share/SELinux/module/main/stylesheet-images/note.gif
/usr/share/SELinux/module/main/stylesheet-images/prev.gif
/usr/share/SELinux/module/main/stylesheet-images/tip.gif
/usr/share/SELinux/module/main/stylesheet-images/toc-blank.gif
/usr/share/SELinux/module/main/stylesheet-images/toc-minus.gif
/usr/share/SELinux/module/main/stylesheet-images/toc-plus.gif
/usr/share/SELinux/module/main/stylesheet-images/up.gif
/usr/share/SELinux/module/main/stylesheet-images/warning.gif
/usr/share/SELinux/module/main/t1.html
/usr/share/SELinux/module/main/x1386.html
/usr/share/SELinux/module/main/x1637.html
/usr/share/SELinux/module/main/x2017.html
/usr/share/SELinux/module/main/x2573.html
/usr/share/SELinux/module/main/x2660.html
/usr/share/SELinux/module/main/x279.html
/usr/share/SELinux/module/main/x2794.html
/usr/share/SELinux/module/main/x2881.html
/usr/share/SELinux/module/main/x2934.html
/usr/share/SELinux/module/main/x2948.html
/usr/share/SELinux/module/main/x301.html
/usr/share/SELinux/module/main/x328.html
/usr/share/SELinux/module/main/x370.html
/usr/share/SELinux/module/main/x410.html
/usr/share/SELinux/module/main/x42.html
/usr/share/SELinux/module/main/x45.html
/usr/share/SELinux/module/main/x459.html
/usr/share/SELinux/module/main/x668.html
/usr/share/SELinux/module/main/x766.html
/usr/share/SELinux/module/main/x81.html
/usr/share/SELinux/module/main/x92.html
/usr/share/SELinux/module/main/x926.html
/usr/share/SELinux/module/module.sgml
/usr/share/SELinux/module/netdev.sgml
/usr/share/SELinux/module/nsid.sgml
/usr/share/SELinux/module/sb.sgml
/usr/share/SELinux/module/selinux.sgml
/usr/share/SELinux/module/skb.sgml
/usr/share/SELinux/module/socket.sgml
/usr/share/SELinux/module/stacking.sgml
/usr/share/SELinux/module/syscalls.sgml
/usr/share/SELinux/module/system.sgml
/usr/share/SELinux/module/task.sgml
/usr/share/SELinux/policy
/usr/share/SELinux/policy/CVS
/usr/share/SELinux/policy/CVS/Entries
/usr/share/SELinux/policy/CVS/Repository
/usr/share/SELinux/policy/CVS/Root
/usr/share/SELinux/policy/Makefile
/usr/share/SELinux/policy/apps.sgml
/usr/share/SELinux/policy/arch.sgml
/usr/share/SELinux/policy/biblio.sgml
/usr/share/SELinux/policy/build.sgml
/usr/share/SELinux/policy/custom.dsl
/usr/share/SELinux/policy/examples.sgml
/usr/share/SELinux/policy/intro.sgml
/usr/share/SELinux/policy/lang.sgml
/usr/share/SELinux/policy/main
/usr/share/SELinux/policy/main.pdf
/usr/share/SELinux/policy/main.ps
/usr/share/SELinux/policy/main.sgml
/usr/share/SELinux/policy/main/b1035.html
/usr/share/SELinux/policy/main/stylesheet-images
/usr/share/SELinux/policy/main/stylesheet-images/caution.gif
/usr/share/SELinux/policy/main/stylesheet-images/home.gif
/usr/share/SELinux/policy/main/stylesheet-images/important.gif
/usr/share/SELinux/policy/main/stylesheet-images/next.gif
/usr/share/SELinux/policy/main/stylesheet-images/note.gif
/usr/share/SELinux/policy/main/stylesheet-images/prev.gif
/usr/share/SELinux/policy/main/stylesheet-images/tip.gif
/usr/share/SELinux/policy/main/stylesheet-images/toc-blank.gif
/usr/share/SELinux/policy/main/stylesheet-images/toc-minus.gif
/usr/share/SELinux/policy/main/stylesheet-images/toc-plus.gif
/usr/share/SELinux/policy/main/stylesheet-images/up.gif
/usr/share/SELinux/policy/main/stylesheet-images/warning.gif
/usr/share/SELinux/policy/main/t1.html
/usr/share/SELinux/policy/main/x110.html
/usr/share/SELinux/policy/main/x36.html
/usr/share/SELinux/policy/main/x710.html
/usr/share/SELinux/policy/main/x754.html
/usr/share/SELinux/policy/main/x87.html
/usr/share/SELinux/policy/main/x879.html
/usr/share/SELinux/policy/model.sgml



Expected results:

docs usually go into /usr/share/doc/<programname>. Unless you have
specific reasons not to do this I believe the standard place is where
users expect these docs and thats where it should be. Also it would be
better to supply html format docs rather than sgml


Additional info:

Comment 1 Daniel Walsh 2004-11-18 22:34:25 UTC
selinux-doc-1.15.1-1.src.rpm Fixes most of these problems.

Now installed in /usr/share/doc
Eliminated ps and sgml files.


Note You need to log in before you can comment on or make changes to this bug.